# If you do not have OpenSSL installed, change
# the following line to use 'http://'
source 'https://rubygems.org'

gem 'rake', '~> 12.3'

# For faster file watcher updates on Windows:
gem 'wdm', '~> 0.1.0', platforms: %i[mswin mingw x64_mingw]

# Windows does not come with time zone data
gem 'tzinfo-data', platforms: %i[mswin mingw x64_mingw jruby]

# Middleman Gems
# Using GitHub ref to suppress Ruby 2.7 warnings with unreleased fixes at 4.3.11
gem 'middleman', git: 'https://github.com/middleman/middleman.git', ref: 'ffde2fe'
gem 'middleman-blog', '~> 4.0'
gem 'middleman-livereload', '~> 3.4.6'
gem 'middleman-minify-html', '~> 3.4.1'
gem 'middleman-autoprefixer', '~> 2.7.1'
gem 'middleman-syntax', '~> 3.0.0'

gem 'asciidoctor-plantuml', '0.0.9'
gem 'kramdown', '>= 2.3.0'
gem 'nokogiri', '>= 1.10.9'
gem 'sassc', '~> 2.2'
gem 'stringex', '~> 2.8.5'
gem 'countries', '~> 3.0.0'
gem 'rack', '~> 2.2.2'

# OpenSSL for signing periscope URLs with SHA256 HMAC
gem 'openssl', '~> 2.1.2'

# Replacement of therubyracer
gem 'mini_racer', '~> 0.2.6'

# For feed.xml.builder
gem 'builder', '~> 3.0'

# Direction generation
gem 'faraday', '>= 0.15.0'
gem 'faraday_middleware', '~> 0.13.1'
gem 'faraday_middleware-parse_oj', '~> 0.3'

# Handbook CHANGELOG generation
gem 'rss', '~> 0.2.8'

# Gitlab API access
gem 'gitlab', '~> 4.16.1'
gem 'graphql-client', '~> 0.16'

# Greenhouse API
gem 'greenhouse_io', '~> 2.5.0'

# Linter checks
gem 'linter'

# API calls
gem 'rest-client'

# Release post item generator
gem 'styled_yaml'

group :development, :test do
  gem 'html-proofer', '~> 3.10.2'
  gem 'docopt', '~> 0.6.1'
  gem 'rspec', '~> 3.5', require: false
  gem 'mdl', '~> 0.7.0', require: false
  gem 'rubocop', '~> 0.59.0', require: false
  gem 'capybara', '~> 3.31.0'
  gem 'capybara-screenshot', '~> 1.0.22'
  gem 'selenium-webdriver', '~> 3.142.7'
  gem 'webmock', '~> 3.5.1'
  gem 'pry-byebug', '~> 3.9.0'
end

gem "json_schemer", "~> 0.2.16"
